// Created 29-7-02 

package aktbus.core;

import java.net.*;
import java.io.*;

public interface AktMessageInterface {

    public java.lang.String get_receiver()
	throws	java.net.MalformedURLException,
		java.lang.Exception;
    public java.lang.String get_sender()
	throws	java.net.MalformedURLException,
		java.lang.Exception;
    public java.lang.String get_simple_message()
	throws java.lang.Exception;

    // NOT IMPLEMENTED IN XML VERSION YET
    /*public void set_receiver(java.lang.String receiver);
    public void set_receiver(java.net.URL receiver);
    public void set_sender(java.lang.String sender);
    public void set_sender(java.net.URL sender);
    public void set_simple_message(java.lang.String message); */

    public void send() 
	throws java.lang.Exception,
	       java.io.IOException,
	       java.io.InterruptedIOException;
    public void send(int timeout) 
	throws java.lang.Exception,
	       java.io.IOException,
	       java.io.InterruptedIOException;
    public void send(java.net.URL receiver_uri, int timeout)
	throws	java.lang.Exception,
		java.io.IOException,
		java.io.InterruptedIOException;
   
    // Can't just name methods "write" (problems overriding superclass)  
    public void ugly_write(java.io.Writer out) throws java.io.IOException;    

}
